memchr(3)

NAME
memchr - memory search character

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <string.h>  // see memory.h(3head)

void *memchr(size_t n;
             const void s[n], int c, size_t n);

DESCRIPTION
memchr() scans the initial n bytes of the memory area pointed to by s for the first instance of c.

Both c and the bytes of the memory area pointed to by s are interpreted as unsigned char.

RETURN VALUE
memchr() returns a pointer to the matching byte or NULL if the character does not occur in the given memory area.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
C11, POSIX.1-2008.

HISTORY
POSIX.1-2001, C89, SVr4, 4.3BSD.

SEE ALSO
memory.h(3head), memrchr(3), wmemchr(3)